Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 222334 - Refactor -> extract interface missing check-all box
Refactor -> extract interface missing check-all box
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
7.3
PC All
: P3 with 6 votes (vote)
: 7.4
Assigned To: Ralph Ruijs
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-18 14:37 UTC by Chiana
Modified: 2013-05-15 06:06 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chiana 2012-11-18 14:37:10 UTC
[ JDK VERSION : 1.7.9 ]

When creating an interface from (f.ex. a Entity ) a class with many methods it
is quite tedious to check all boxes, a check-all box would come quite handy.
Comment 1 Ralph Ruijs 2013-05-09 11:35:50 UTC
changeset   : http://hg.netbeans.org/jet-main/rev/7630213bb483
author      : Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
date        : Thu May 09 13:31:22 CEST 2013
summary     : #222334 - Refactor -> extract interface missing check-all box
Comment 2 Quality Engineering 2013-05-10 02:37:39 UTC
Integrated into 'main-golden', will be available in build *201305092300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7630213bb483
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: #222334 - Refactor -> extract interface missing check-all box
Comment 3 Chiana 2013-05-15 06:06:06 UTC
Some form of descriptive labels for the box(es) would be nice too...


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo